package com.sky.ioc.controller.information;

import com.sky.ioc.entity.domain.information.FloorConfiguration;
import com.sky.ioc.entity.domain.information.StaffConfigurationStaff;
import com.sky.ioc.service.information.StaffConfigurationStaffService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "信息管理--安保人员配置")
@Slf4j
@RestController
@RequestMapping("/information")
public class StaffConfigurationStaffController {

    @Autowired
    StaffConfigurationStaffService staffConfigurationStaffService;

    @ApiOperation("新建人员配置")
    @PostMapping(value = "/staff")
    public ReturnMsg addStaffConfigurationStaff(String id,String responsibility_range,String staff_list,String remark,String duty_time) {
        return staffConfigurationStaffService.addStaffConfigurationStaff(id,responsibility_range,staff_list,remark,duty_time);
    }

    @ApiOperation("删除人员")
    @DeleteMapping(value = "/staff")
    public ReturnMsg delStaffConfigurationStaff(@RequestParam(name="id") Integer id) {
        return staffConfigurationStaffService.delById(id);
    }


}
