package com.sky.ioc.controller.organzation;

import com.sky.ioc.entity.domain.organization.Company;
import com.sky.ioc.entity.domain.organization.Department;
import com.sky.ioc.service.organization.DepartmentService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "组织管理--部门")
@Slf4j
@RestController
@RequestMapping("/organzation")
public class DepartmentController {

    @Autowired
    DepartmentService departmentService;

    @ApiOperation("获取部门详情")
    @GetMapping(value = "/department")
    public ReturnMsg getDepartment(@RequestParam(name = "department_id")Integer department_id) {
        return departmentService.getDepartment(department_id);
    }

    @ApiOperation("获取公司下部门列表")
    @GetMapping(value = "/department_list")
    public ReturnMsg getDepartmentList(@RequestParam(name = "company_id")Integer company_id) {
        return departmentService.getDepartmentList(company_id);
    }

    @ApiOperation("添加部门")
    @PostMapping(value = "/department")
    public ReturnMsg addDepartment(Department department) {
        return departmentService.addDepartment(department);
    }

    @ApiOperation("更新部门")
    @PutMapping(value = "/department")
    public ReturnMsg editDepartment(Department department) {
        return departmentService.editDepartment(department);
    }

    @ApiOperation("删除部门")
    @DeleteMapping(value = "/department")
    public ReturnMsg delDepartment(@RequestParam(name = "department_id") Integer department_id) {
        return departmentService.deleteDepartment(department_id);
    }
}
