package com.sky.ioc.service.information.impl;

import com.sky.ioc.entity.domain.information.StaffConfiguration;
import com.sky.ioc.mapper.information.StaffConfigurationMapper;
import com.sky.ioc.service.information.StaffConfigurationService;
import com.sky.ioc.tool.ReturnMsg;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StaffConfigurationServiceImpl implements StaffConfigurationService {

    @Autowired
    StaffConfigurationMapper staffConfigurationMapper;

    @Override
    public List<StaffConfiguration> getList() {
        return staffConfigurationMapper.selectList(null);
    }

    @Override
    public ReturnMsg addStaffConfiguration(StaffConfiguration staffConfiguration) {
        if(StringUtils.isNotBlank(staffConfiguration.getName())){
            staffConfigurationMapper.insert(staffConfiguration);
            return ReturnMsg.ok();
        }else{
            return ReturnMsg.fail("配置名称不能为空");
        }
    }

    @Override
    public ReturnMsg delStaffConfiguration(Integer id) {
        if(id==null){
            return ReturnMsg.fail("id不能为空");
        }else{
            staffConfigurationMapper.deleteById(id);
            return ReturnMsg.ok();
        }
    }
}
